# utils.optimizers.adopt

`utils.optimizers.adopt`

Copied from https://github.com/iShohei220/adopt

ADOPT: Modified Adam Can Converge with Any β2 with the Optimal Rate (2024) Taniguchi, Shohei and Harada, Keno and Minegishi, Gouki and Oshima, Yuta and Jeong, Seong Cheol and Nagahara, Go and Iiyama, Tomoshi and Suzuki, Masahiro and Iwasawa, Yusuke and Matsuo, Yutaka

## Functions

Name | Description
--- | ---
adopt | Functional API that performs ADOPT algorithm computation.

### adopt

    utils.optimizers.adopt.adopt(
        params,
        grads,
        exp_avgs,
        exp_avg_sqs,
        state_steps,
        foreach=None,
        capturable=False,
        differentiable=False,
        fused=None,
        grad_scale=None,
        found_inf=None,
        has_complex=False,
        *,
        beta1,
        beta2,
        lr,
        clip_lambda,
        weight_decay,
        decouple,
        eps,
        maximize,
    )

Functional API that performs ADOPT algorithm computation.